| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# IG::Num::IScalarFunction Interface Reference

Scalar functions of vector arguments, with eventual affine transformation of parameters. If transformation is defined then actual function is evaluated as reference function evaluated at inverse affine transformed parameters. More...

Inheritance diagram for IG::Num::IScalarFunction:
[legend]
Collaboration diagram for IG::Num::IScalarFunction:
[legend]

List of all members.

## Public Member Functions
double | ReferenceValue (IVector parameters)
| Returns the value of this function at the specified parameter in the reference coordinate system.
void | ReferenceGradientPlain (IVector parameters, IVector gradient)
| Calculates the first derivative (gradient) of this function at the specified parameter in the reference coordinate system.
void | ReferenceHessianPlain (IVector parameters, IMatrix hessian)
| Calculates the second derivative (Hessian) of this function at the specified parameters in the reference coordinate system.
## Properties
IAffineTransformation | Transformation`[get, set]`
| Affine transformation of parameters. Actual function is evaluated as reference function evaluated at inverse affine transformed parameters.

## Detailed Description

Scalar functions of vector arguments, with eventual affine transformation of parameters. If transformation is defined then actual function is evaluated as reference function evaluated at inverse affine transformed parameters.

$A Igor xx May10 Dec10;

## Member Function Documentation

double IG::Num::IScalarFunction::ReferenceValue | ( | IVector | parameters | ) |

Returns the value of this function at the specified parameter in the reference coordinate system.

Parameters:

  parameters | Vector of parameters (in the REFERENCE system) where function is evaluated.

Implemented in IG::Lib::LoadableScalarFunctionBase, IG::Script::ScritpScalarFunctionExample::Container::Function, IG::Num::ScalarFunctionBase, IG::Num::ScalarFunctionExamples::Rosenbrock, IG::Num::ScalarFunctionExamples::RosenbrockGeneralizedAdjacent, IG::Num::ScalarFunctionExamples::RosenbrockGeneralizedExhaustive, IG::Num::ScalarFunctionExamples::ParaboloidSymmetric2D, IG::Num::ScalarFunctionExamples::Quadratic2d, IG::Num::ScalarFunctionExamples::Quadratic3d, IG::Num::ScalarFunctionRadial, and IG::Num::ScalarFunctionTransformed.

void IG::Num::IScalarFunction::ReferenceGradientPlain | ( | IVector | parameters,
|  | IVector | gradient
| ) |  |

Calculates the first derivative (gradient) of this function at the specified parameter in the reference coordinate system.

Parameters:

  parameters | Vector of parameters (in the REFERENCE system) where derivatives are evaluated.
  gradient | Vector where first derivatives (gradient) are stored.

Implemented in IG::Lib::LoadableScalarFunctionBase, IG::Script::ScritpScalarFunctionExample::Container::Function, IG::Num::ScalarFunctionBase, IG::Num::ScalarFunctionExamples::Rosenbrock, IG::Num::ScalarFunctionExamples::RosenbrockGeneralizedAdjacent, IG::Num::ScalarFunctionExamples::RosenbrockGeneralizedExhaustive, IG::Num::ScalarFunctionExamples::ParaboloidSymmetric2D, IG::Num::ScalarFunctionExamples::Quadratic2d, IG::Num::ScalarFunctionExamples::Quadratic3d, IG::Num::ScalarFunctionRadial, and IG::Num::ScalarFunctionTransformed.

void IG::Num::IScalarFunction::ReferenceHessianPlain | ( | IVector | parameters,
|  | IMatrix | hessian
| ) |  |

Calculates the second derivative (Hessian) of this function at the specified parameters in the reference coordinate system.

Parameters:

  parameters | Vector of parameters (in the REFERENCE system) where Hessian is evaluated.
  hessian | Matrix where second derivatives (Hessian) are stored.

Implemented in IG::Lib::LoadableScalarFunctionBase, IG::Script::ScritpScalarFunctionExample::Container::Function, IG::Num::ScalarFunctionBase, IG::Num::ScalarFunctionExamples::Rosenbrock, IG::Num::ScalarFunctionExamples::RosenbrockGeneralizedAdjacent, IG::Num::ScalarFunctionExamples::RosenbrockGeneralizedExhaustive, IG::Num::ScalarFunctionExamples::ParaboloidSymmetric2D, IG::Num::ScalarFunctionExamples::Quadratic2d, IG::Num::ScalarFunctionExamples::Quadratic3d, IG::Num::ScalarFunctionRadial, and IG::Num::ScalarFunctionTransformed.

## Property Documentation

IAffineTransformation IG::Num::IScalarFunction::Transformation`[get, set]`

Affine transformation of parameters. Actual function is evaluated as reference function evaluated at inverse affine transformed parameters.

Implemented in IG::Num::ScalarFunctionBase.

The documentation for this interface was generated from the following file:

- FunctionScalarInt.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events